library(FluidFish)

m1<-cleanavg( "C:/Users/Owner/OneDrive/fluidigmR/FluidFish/tablemethod","ONNEmixed_1571_with_ms.csv",LOD="assay_LOD")


f1<-normalize(g1$data,e1,control="contserdil1")
f1<-f1[,-8]
d1<-NAs.outliers(f1,outlier.action="find")


g1<-cleanavg( "C:/Users/Owner/OneDrive/fluidigmR/FluidFish/tablemethod","adams_gill1.csv",LOD="assay_LOD")
g2<-cleanavg( "C:/Users/Owner/OneDrive/fluidigmR/FluidFish/tablemethod","adams_gill2.csv",LOD="assay_LOD")
t1<-rbind(g1$data,g2$data)

n1<-normalize(g1$data,e1,method="ddCt_fc")

nx<-normalize(g1$data,e1,method="Pfaffl_fc")
plot(n1[20:40,2],nx[20:40,2])

n2<-normalize(chip=t1,type="multiple",method="ddCt_fc",control=c(37:47))


e1<-effcalc(g1$effdata)
e2<-effcalc(g2$effdata)


trows<-c(29:32,25,26)


f1<-normalize(g1$data,e1,control="contpoolpos",method="dCt")

library(gplots)
windows()
heatmap.2(as.matrix(f1[30:96,2:30]), main="dCt",dendrogram = "none", Rowv = FALSE, Colv = FALSE,key=FALSE)

absquant(g1$data,drows=19:96,dcols=31:49,e1)

a<-rnorm(mean=15,sd=2,100)
b<-rnorm(mean=13,sd=2,100)
c<-cbind(a,b)

mean(c[,1])-mean(c[,2])

x<-NULL
for(i in 1:nrow(c)){
  q<-c[i,1]-c[i,2]
  x<-append(x,q)
}
mean(x)

#### making new normalize function
library(FluidFish)
chip1931<-importchip("C:/Users/Owner/OneDrive/molecular PBS stuff/Molecular Methods/lab work 2015 sockeye/rerun_SLi","ONNE_AD_2015_ALB_Gill1_1931.csv")
c1931<-cleanavg(chip1931)
e1<-effcalc(c1931$effdata, plot=TRUE )

n1<-normalize(c1331$data,e1,control="contcDNA_PosALBgill",method="Pfaffl_add")
n2<-normalize(c1331$data,e1,control=c(48:55),type="multiple.grp_avg",method="Pfaffl_add")
windows()
par(mfrow=c(1,2))
hist(n1[23:96,35],breaks=40)
hist(n2[23:96,35],breaks=40)

cx<-chip1931[-which(substr(chip1931$FAssay,1,1)=="m"),]

test<-cleanavg(cx)
